Bug 730644 - Review Request: svgSalamander - An SVG engine for Java
Summary: Review Request: svgSalamander - An SVG engine for Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 08:40 UTC by Cédric OLIVIER
Modified: 2014-11-20 18:15 UTC (History)
3 users (show)

Fixed In Version: svgsalamander-0.0-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-30 00:31:49 UTC
pikachu.2014: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Cédric OLIVIER 2011-08-15 08:40:45 UTC
Spec URL: http://cedric.olivier.free.fr/rpms/svgSalamander-0.0-1/svgSalamander.spec
SRPM URL: http://cedric.olivier.free.fr/rpms/svgSalamander-0.0-1/svgSalamander-0.0-1.fc14.src.rpm
Description: SVG Salamander is an SVG engine for Java that's designed to be small, fast, 
and allow programmers to use it with a minimum of fuss. It's in particular 
targeted for making it easy to integrate SVG into Java games and making it 
much easier for artists to design 2D game content - from rich interactive 
menus to charts and graphcs to complex animations.

svgSalamander is now used by JOSM. So I can't update josm while svgSalamander isn't packaged.

Comment 2 Mohamed El Morabity 2011-08-21 19:00:01 UTC
You should name your package to lowercase, since there is no particular reason not to do so:
   http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Case_Sensitivity
   http://packages.debian.org/source/sid/svgsalamander

You can forget the symbolic links to required jars to build svgsalamander you created: the Ant build file provides some properties so set the paths to junit and javacc:
   %build
   ant \
     -Djavacc.home=$(dirname $(build-classpath javacc)) \
     -Djunit.jar=$(build-classpath junit)

You can also remove the « BuildRoot: .... » line, as well as the %clean target and all occurrences of « rm -rf %{buildroot} » in your .spec file. They are no longer required for a moment:
   http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
   http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

Comment 3 Cédric OLIVIER 2011-09-08 19:36:55 UTC
Thanks a lot for this review, You can find updated spec file :
http://cedric.olivier.free.fr/rpms/svgsalamander-0.0-3/svgsalamander.spec

and SRPM : http://cedric.olivier.free.fr/rpms/svgsalamander-0.0-3/svgsalamander-0.0-3.fc14.src.rpm

I wasn't using lowercase, because upstream provides svgSalamander.jar and not svgsalamander. but I agrees with you, we can set this to default lowercase naming.

Comment 4 Mohamed El Morabity 2011-09-08 22:11:22 UTC
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[-] MUST: rpmlint must be run on every package.
    $ rpmlint svgsalamander-0.0-3.fc14.src.rpm
    svgsalamander.src: W: spelling-error %description -l en_US graphcs -> graphs, graphics, graph's
    svgsalamander.src: W: strange-permission svgsalamander-generate-tarball.sh 0775L
    svgsalamander.src: W: invalid-url Source0: svgsalamander-0.0.tar.gz
    > All these warnings can be ignored, EXCEPT the "strange-permission" one
    $ rpmlint svgsalamander-0.0-3.fc15.noarch.rpm
    svgsalamander.noarch: W: spelling-error %description -l en_US graphcs -> graphs, graphics, graph's
    svgsalamander.noarch: W: non-conffile-in-etc /etc/maven/fragments/svgsalamander
    > All these warnings can be ignored
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet
          the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
          license.
[+] MUST: If (and only if) the source package includes the text of the
          license(s) in its own file, then that file, containing the text of the
          license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
          as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at
          least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an
          architecture, then those architectures should be listed in the spec in
          ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using
          the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
          symlinks) in any of the dynamic linker's default paths, must call
          ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state
          this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
          create a directory that it uses, then it should require a package
          which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
          with executable permissions, for example. Every %files section must
          include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros
          section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
          described in detail in the code vs. content section of Packaging
          Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
          runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
          (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix
          (e.g. libfoo.so.1.1), then library files that end in .so (without
          suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
          package using a fully versioned dependency: Requires: %{name}
          = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
          removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
          file, and that file must be properly installed with
          desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

Once the permissions on %{SOURCE1} fixed, I will approve this package.

Comment 5 Cédric OLIVIER 2011-10-05 04:10:36 UTC
Permissions on %{SOURCE1} fixed :

You can find updated spec file :
http://cedric.olivier.free.fr/rpms/svgsalamander-0.0-4/svgsalamander.spec

and SRPM :
http://cedric.olivier.free.fr/rpms/svgsalamander-0.0-4/svgsalamander-0.0-4.fc14.src.rpm

Comment 6 Mohamed El Morabity 2011-10-05 07:24:05 UTC
This package is APPROVED.

Comment 7 Cédric OLIVIER 2011-10-05 16:55:15 UTC
New Package SCM Request
=======================
Package Name: svgsalamander
Short Description: An SVG engine for Java
Owners: cquad
Branches: f14 f15 f16
InitialCC: cquad

Comment 8 Gwyn Ciesla 2011-10-05 16:59:56 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-10-11 16:03:37 UTC
svgsalamander-0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/svgsalamander-0.0-4.fc15

Comment 10 Fedora Update System 2011-10-11 16:05:58 UTC
svgsalamander-0.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/svgsalamander-0.0-4.fc16

Comment 11 Fedora Update System 2011-10-13 00:53:33 UTC
svgsalamander-0.0-4.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-10-30 00:31:49 UTC
svgsalamander-0.0-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-11-05 01:19:40 UTC
svgsalamander-0.0-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Cédric OLIVIER 2014-11-20 18:07:33 UTC
Package Change Request
======================
Package Name: svgsalamander
New Branches: epel7
Owners: cquad mcepl

Comment 15 Gwyn Ciesla 2014-11-20 18:15:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.